octave-config(1)

NAME
octave-config - GNU Octave component and library information retrieval

SYNOPSIS
octave-config [option]...

DESCRIPTION
octave-config is a tool to obtain directory information for .oct and .m files for octave(1).

OPTIONS

--m-site-dir
    Display the main directory for local, or site-specific, .m script files.

--oct-site-dir
    Display the main directory for local, or site-specific, .oct dynamic-link libraries.

-p VAR, --print VAR
    Print the default value of the Octave configuration variable VAR. Recognized variables are:

        API_VERSION                 LOCALARCHLIBDIR
        ARCHLIBDIR                  LOCALFCNFILEDIR
        BINDIR                      LOCALOCTFILEDIR
        CANONICAL_HOST_TYPE         LOCALSTARTUPFILEDIR
        DATADIR                     LOCALVERARCHLIBDIR
        DATAROOTDIR                 LOCALVERFCNFILEDIR
        DEFAULT_PAGER               LOCALVEROCTFILEDIR
        EXEEXT                      MAN1DIR
        FCNFILEDIR                  MAN1EXT
        IMAGEDIR                    MANDIR
        INCLUDEDIR                  OCTAVE_EXEC_HOME
        INFODIR                     OCTAVE_HOME
        INFOFILE                    OCTDATADIR
        LIBDIR                      OCTDOCDIR
        LIBEXECDIR                  OCTFILEDIR
        LOCALAPIARCHLIBDIR          OCTFONTSDIR
        LOCALAPIFCNFILEDIR          OCTINCLUDEDIR
        LOCALAPIOCTFILEDIR          OCTLIBDIR
        LOCALAPIPKGDIR              STARTUPFILEDIR
                                    VERSION

-v, --version
    Display the version number of octave(1).

-h, --help
    Print help message.

AUTHOR
John W. Eaton and many others. The list of contributors to the Octave project may be shown from within octave by executing "doc Acknowledgements". The list is also available online at https://docs.octave.org/latest/Acknowledgements.html.

SEE ALSO
octave(1).